Subject: Re: bug#56793: Infinite loop in pure_alloc when dumping strings longer than 10K bytes

From: Lynn Winebarger <[email-masked]>
Date: Wed, 27 Jul 2022 10:21:55 -0400

On Wed, Jul 27, 2022 at 10:00 AM Pip Cet <[email-masked]> wrote:
>
> On Wed, Jul 27, 2022 at 1:51 PM Lynn Winebarger <[email-masked]> wrote:
> > I apologize for not being able to include significant details of the build, as this is happening on a sandboxed system in a proprietary context.
> > I've been attempting to dump emacs built from the 28.1 tarball with a large number of core libraries preloaded.  I have observed runaway allocation when attempting to dump with native-compilation enabled and with native-compilation disabled.
>
> I believe this is a duplicate of #46916, which was closed as WONTFIX.
> (https://debbugs.gnu.org/cgi/bugreport.cgi?bug=46916) There's a patch
> there, IIRC.
>
True, but the triggering issue doesn't really seem to be pure space
exhaustion per se.  Nominal pure space exhaustion doesn't even seem to
prevent producing a portable dump file - unless the object is over 10K
bytes in size.

I understand the long-term solution, but in the meantime we should
still be able to dump emacs with additional files without runaway
allocation.

Lynn